package com.ruoyi.web.core.config;

import com.ruoyi.web.service.IGasCommonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Profile;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Component;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2021/11/30
 * @Version V1.0
 */
@Component
@Profile({"prod1"})
public class AisConsumer {

    @Autowired
    private IGasCommonService gasCommonService;

    @KafkaListener(topics = {"ais-merge"})
    public void receive(String message) {
        gasCommonService.dealAis(message);
    }

}
