package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 嫌疑船舶
 *
 * @author ruoyi
 * @date 2021-08-24
 */
@Data
public class MonitorInfo {
    private String monitorPointName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String illegalType;

    private String mmsi;

    private BigDecimal so2Percent;

    private BigDecimal no2Concentration;
    private BigDecimal so2Concentration;
    private BigDecimal co2Concentration;

    private String snapPos;

    private Integer rcgSoot;

    private Integer illegalStatus;

    private String deviceId;

}
