package com.ruoyi.system.domain;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 嗅探-监测点
 * 
 * @author ruoyi
 * @date 2021-08-24
 */
@Data
public class XiuTanSemInstrument
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    @Excel(name = "名称")
    private String name;

    @Excel(name = "ip")
    private String ip;

    @Excel(name = "经度")
    private String longitude;

    @Excel(name = "纬度")
    private String latitude;

    @Excel(name = "1.岸基模式2.桥基模式3.船基模式")
    private Integer pattern;

    @Excel(name = "备注")
    private String remark;

    @Excel(name = "分组")
    private String category;

}
