package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 设备信息
 *
 * @author ruoyi
 * @date 2021-08-24
 */
@Data
public class DeviceBo {
    private static final long serialVersionUID = 1L;

    private String deviceId;

    // 设备名称
    private String name;

    // 设备类型
    private String deviceType;

    // 监测点
    private String monitorName;

    // 状态
    private String status;

    // 机构
    private String orgName;

    // 经纬度
    private String latilongti;

    // 更新时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    // 子系统来源
    private String source;

    private String liveStreamUrl;

    private String[] devicePhoto;

}
