package com.ruoyi.system.domain;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 光谱-检测点
 * 
 * @author ruoyi
 * @date 2021-08-24
 */
@Data
public class GuapMonitorPoint
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    @Excel(name = "名称")
    private String name;

    @Excel(name = "经度")
    private String longitude;

    @Excel(name = "纬度")
    private String latitude;

}
