package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 嫌疑船舶
 *
 * @author ruoyi
 * @date 2021-08-24
 */
@Data
public class IllegalInfo {

    private String id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String illegalType;

    private String monitorPointName;

    private String mmsi;

    private String shipName;

    private BigDecimal so2Percent;

    private String snapTimeFmt;

    private Integer rcgSoot;

    // 船舶实时经纬度
    private BigDecimal lng;

    // 船舶实时经纬度
    private BigDecimal lat;

    // 船舶实时经纬度上传时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receive;

    // 实际航向
    private String head;
    // 地面航速
    private String speed;
    // 地面航线
    private String course;

    private Integer illegalStatus;
}
